# ProductPurchaseDecision

## Overview

ProductPurchaseDecision is an Enum that defines the receipt processing result for purchased products.

This is used in the MarketplaceService.ProcessReceipt callback and to communicate the product's delivery status to the server.

## Items

| Name            | Value | Description                                                                                                                                                                                |
| --------------- | ----- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| NotProcessedYet | 0     | The purchase has completed, but the processing logic has not yet been executed. In this state, the purchase callback will be repeatedly called until processing is successfully completed. |
| PurchaseGranted | 1     | The purchase has completed and the associated processing has been performed successfully.                                                                                                  |

## See also

{% content-ref url="/pages/3emEzPuk4Ggzz94GmbvI" %}
[MarketplaceService](/development/api-reference/classes/marketplaceservice.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/productpurchasedecision.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
